Retry a webhook delivery

Performs one immediate manual redelivery attempt and returns that attempt's identity and outcome without changing the automatic retry lifecycle.

POST
/v1/webhooks/{id}/deliveries/{deliveryId}/redeliver

Performs one immediate manual redelivery attempt and returns that attempt's identity and outcome without changing the automatic retry lifecycle.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^wep_[0-9a-hjkmnp-tv-z]{16,24}$
deliveryId*string
Match^whdel_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
accepted*true
Value intrue
deliveryId*WebhookDeliveryId
Match^whdel_[0-9a-hjkmnp-tv-z]{16,24}$
attemptId*WebhookAttemptId
Match^whatt_[0-9a-hjkmnp-tv-z]{16,24}$
outcome*string
Value in"succeeded""failed"
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.webhooks.retryDelivery({  "id": "example",  "deliveryId": "example"});
Example Response
{  "accepted": true,  "deliveryId": "string",  "attemptId": "string",  "outcome": "succeeded"}

Related documentation